/*
 *-------------------
 *   自然対数の底
 *-------------------
 * Great by liang@Ryukyus
 * Compiler : gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-48)
 * Date : 2/1/2011
 */

#include <stdio.h>
#include <stdlib.h>
#include <float.h>  /* for LDBL_DIG */

long double ee(void);

int main(void){

  printf("e = %.*Lg\n",LDBL_DIG,ee());
  return 0;
}


long double ee(void){
int n;
long double e, a, prev;

e = 0; a = 1; n = 1;

do{

  prev = e; e += a; a /= n; n++;
 }while (e != prev);
 return e;
}
